Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDLIFECYCLEvalues

    java.lang.Object
      java.lang.Enum<CDLIFECYCLEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDLIFECYCLEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDLIFECYCLEvalues>

    public enum CDLIFECYCLEvalues

extends Enum<CDLIFECYCLEvalues>

Java class for CD-LIFECYCLEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-LIFECYCLEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="aborted"/>
         <enumeration value="active"/>
         <enumeration value="added"/>
         <enumeration value="administrated"/>
         <enumeration value="cancelled"/>
         <enumeration value="completed"/>
         <enumeration value="corrected"/>
         <enumeration value="delivered"/>
         <enumeration value="substituted"/>
         <enumeration value="inactive"/>
         <enumeration value="planned"/>
         <enumeration value="prescribed"/>
         <enumeration value="reported"/>
         <enumeration value="refused"/>
         <enumeration value="switched"/>
         <enumeration value="suspended"/>
         <enumeration value="stopped"/>
         <enumeration value="excluded"/>
         <enumeration value="notpresent"/>
         <enumeration value="ordered"/>
         <enumeration value="scheduled"/>
         <enumeration value="todo"/>
         <enumeration value="postponed"/>
         <enumeration value="pending"/>
         <enumeration value="expected"/>
         <enumeration value="obtained"/>
         <enumeration value="proposed"/>
         <enumeration value="retracted"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ABORTED`
`ACTIVE`
`ADDED`
`ADMINISTRATED`
`CANCELLED`
`COMPLETED`
`CORRECTED`
`DELIVERED`
`EXCLUDED`
`EXPECTED`
`INACTIVE`
`NOTPRESENT`
`OBTAINED`
`ORDERED`
`PENDING`
`PLANNED`
`POSTPONED`
`PRESCRIBED`
`PROPOSED`
`REFUSED`
`REPORTED`
`RETRACTED`
`SCHEDULED`
`STOPPED`
`SUBSTITUTED`
`SUSPENDED`
`SWITCHED`
`TODO`

Method Summary
`static CDLIFECYCLEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDLIFECYCLEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDLIFECYCLEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABORTED

    public static final CDLIFECYCLEvalues ABORTED

### ACTIVE

    public static final CDLIFECYCLEvalues ACTIVE

### ADDED

    public static final CDLIFECYCLEvalues ADDED

### ADMINISTRATED

    public static final CDLIFECYCLEvalues ADMINISTRATED

### CANCELLED

    public static final CDLIFECYCLEvalues CANCELLED

### COMPLETED

    public static final CDLIFECYCLEvalues COMPLETED

### CORRECTED

    public static final CDLIFECYCLEvalues CORRECTED

### DELIVERED

    public static final CDLIFECYCLEvalues DELIVERED

### SUBSTITUTED

    public static final CDLIFECYCLEvalues SUBSTITUTED

### INACTIVE

    public static final CDLIFECYCLEvalues INACTIVE

### PLANNED

    public static final CDLIFECYCLEvalues PLANNED

### PRESCRIBED

    public static final CDLIFECYCLEvalues PRESCRIBED

### REPORTED

    public static final CDLIFECYCLEvalues REPORTED

### REFUSED

    public static final CDLIFECYCLEvalues REFUSED

### SWITCHED

    public static final CDLIFECYCLEvalues SWITCHED

### SUSPENDED

    public static final CDLIFECYCLEvalues SUSPENDED

### STOPPED

    public static final CDLIFECYCLEvalues STOPPED

### EXCLUDED

    public static final CDLIFECYCLEvalues EXCLUDED

### NOTPRESENT

    public static final CDLIFECYCLEvalues NOTPRESENT

### ORDERED

    public static final CDLIFECYCLEvalues ORDERED

### SCHEDULED

    public static final CDLIFECYCLEvalues SCHEDULED

### TODO

    public static final CDLIFECYCLEvalues TODO

### POSTPONED

    public static final CDLIFECYCLEvalues POSTPONED

### PENDING

    public static final CDLIFECYCLEvalues PENDING

### EXPECTED

    public static final CDLIFECYCLEvalues EXPECTED

### OBTAINED

    public static final CDLIFECYCLEvalues OBTAINED

### PROPOSED

    public static final CDLIFECYCLEvalues PROPOSED

### RETRACTED

    public static final CDLIFECYCLEvalues RETRACTED

Method Detail

### values

    public static CDLIFECYCLEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDLIFECYCLEvalues c : CDLIFECYCLEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDLIFECYCLEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDLIFECYCLEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.